Bug 408121 - abily to control "unread"-message overlay in tasklist
Summary: abily to control "unread"-message overlay in tasklist
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: 5.10.3
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-30 15:04 UTC by Christo
Modified: 2019-07-01 05:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christo 2019-05-30 15:04:48 UTC
I like the new feature of the overlayed unreadmessage-count in Tasklist , but it would be nice to have more to say on this, like:

-) disable it at all 
-) only count specify folders (like Inboxes only) 

actually it counts all unready messages in all folder , resulting in a permanent "9.999+" - reading 

thanks for support

-c-
Comment 1 Laurent Montel 2019-05-31 15:00:12 UTC
(In reply to Christoph from comment #0)
> I like the new feature of the overlayed unreadmessage-count in Tasklist ,
> but it would be nice to have more to say on this, like:
> 
> -) disable it at all 

you can kmail->apperance->systemtray->show unread in taskbar

> -) only count specify folders (like Inboxes only) 

you can disable counting in specific folder -> on each folder you can disable it "see folder right click -> property -> general -> act on new/unread mail in this folder"

> 
> actually it counts all unready messages in all folder , resulting in a
> permanent "9.999+" - reading 
> 
> thanks for support
> 
> -c-

Regards
Comment 2 Christo 2019-06-07 15:39:30 UTC
@Laurent:

@comment 1:  the systray is not what i addressed here .. i addressed the messagecount in the tasklist (windows list) .. the setting you mentioned does not affect this.

@comment 2:  i did what you mentioned, walking through all 200 Folders deactivation the actions (taking actions is preset in kmail), and its close to well , still sometime showing the countsum of all folders eventually , sometimes not ( at a 50:50 ration )

.. 

so if i would find myself satisfied here , there still be many people who may find the above way overkill , specially if the is not option to disable this feature at all.

I also dont agree that this is "Resolved Fixed" .. it more like "Reported Wontfix" aint it ?
Comment 3 Laurent Montel 2019-06-07 15:49:09 UTC
(In reply to Christoph from comment #2)
> @Laurent:
> 
> @comment 1:  the systray is not what i addressed here .. i addressed the
> messagecount in the tasklist (windows list) .. the setting you mentioned
> does not affect this.

So please test is as it works I retest it now.
So I understand correctly your previous comment.

> 
> @comment 2:  i did what you mentioned, walking through all 200 Folders
> deactivation the actions (taking actions is preset in kmail), and its close
> to well , still sometime showing the countsum of all folders eventually ,
> sometimes not ( at a 50:50 ration )
> 
> .. 
> 
> so if i would find myself satisfied here , there still be many people who
> may find the above way overkill , specially if the is not option to disable
> this feature at all.

You can disable number of unread element in tasklist

> 
> I also dont agree that this is "Resolved Fixed" .. it more like "Reported
> Wontfix" aint it ?

Nope it's resolved for sure.
Comment 4 Christo 2019-06-28 12:43:25 UTC
it turned out not to be a kmail-issue but a kontact-issue in combination with akregator .. for there is no option in akregator to disable unread-message-indicator in kdewindow-list (called Fensterleiste in german), the shown numbers are sum-ups of unread akregator-messages and unread kmail-messages (with also cannot be disabled in general) 

FYI
Comment 5 Laurent Montel 2019-06-28 14:42:45 UTC
(In reply to Christoph from comment #4)
> it turned out not to be a kmail-issue but a kontact-issue in combination
> with akregator .. for there is no option in akregator to disable
> unread-message-indicator in kdewindow-list (called Fensterleiste in german),
> the shown numbers are sum-ups of unread akregator-messages and unread
> kmail-messages (with also cannot be disabled in general) 
> 
> FYI

I will implement it for akregator soon.
Comment 6 Laurent Montel 2019-07-01 05:57:22 UTC
Git commit a655e314b4f797fbc9a942e09d3e9a767692283f by Laurent Montel.
Committed on 01/07/2019 at 05:56.
Pushed by mlaurent into branch 'master'.

Fix Bug 408121 - abily to control "unread"-message overlay in tasklist

FIXED-IN: 5.12.0

M  +8    -1    configuration/ui/settings_general.ui
M  +5    -0    interfaces/akregator.kcfg
M  +13   -1    src/akregator_part.cpp

https://commits.kde.org/akregator/a655e314b4f797fbc9a942e09d3e9a767692283f